// This file is part of Blue UNO. Please see UNOMain.java or http://blueuno.udd.be/ for
// license information. 
// Copyright (C) 2007 Niklas Udd
//
// This class is basically a wrapper for the BluetoothConnector, making sure it runs in its
// own thread. This class is, however, rather cumbersome and the thread handling will be
// changed in a future version.

package be.udd.blueuno;

import javax.bluetooth.*;

public class ClientHandlerThread extends Thread implements IConnector {
	private UNOMain controller;
	private ServerStarter starter;
	private IConnector connector;
	private boolean active;
	private String username;

	public ClientHandlerThread(UNOMain controller, ServerStarter starter, L2CAPConnection connection) {
		this.controller = controller;
		this.starter = starter;
		connector = new BluetoothConnector(connection);
		active = false;
	}

	public void run() {
		try {
			try { send("ok"); } catch(Exception e) {}
			username = receiveBlocking();
			starter.userConnected(username);
			active = true;

			if(connector instanceof BluetoothConnector) {
				((BluetoothConnector)connector).startReceiving();
			}
		} catch(Exception e) {}
	}

	public boolean isActive() {
		return active;
	}

	public String getUsername() {
		return username;
	}

	public String receiveBlocking() throws Exception { return connector.receiveBlocking(); }
	public String receive() { return connector.receive(); }
	public boolean hasReceived() { return connector.hasReceived(); }
	public void send(String message) throws Exception { connector.send(message); }
	public void setNotifier(IConnectorNotifier notifier) { connector.setNotifier(notifier); }
	public void close() throws Exception { connector.close(); }
}