// This file is part of Blue UNO. Please see UNOMain.java or http://blueuno.udd.be/ for
// license information. 
// Copyright (C) 2007 Niklas Udd
//
// This class makes sure that messages are displayed in the selected language.

package be.udd.blueuno;

import java.io.*;
import java.util.Hashtable;

public class Language {
	private Hashtable text;
	private String language;

	public Language(String language) {
		this.language = language;
		text = new Hashtable(100);
	}

	public boolean load() {
		// Load the language file into a Hashtable
		try {
			StringBuffer key = new StringBuffer();
			StringBuffer value = new StringBuffer();
			boolean equalsFound = false;
			char current;
			InputStreamReader in = new InputStreamReader(getClass().getResourceAsStream("/" + language + ".lang"));
			while(in.ready()) {
				current = (char)in.read();
				if(current == '=') {
					equalsFound = true;
				} else if(current == '\n') {
					add(key.toString(), value.toString());
					key.delete(0, key.length());
					value.delete(0, value.length());
					equalsFound = false;
				} else if(!equalsFound) {
					key.append(current);
				} else {
					value.append(current);
				}
			}
			if(value.length() > 0) {
				add(key.toString(), value.toString());
			}
			in.close();
		} catch(Exception e) {
			return false;
		}

		return true;
	}

	private void add(String key, String value) {
		text.put(key, value);
	}

	public String get(String key) {
		// Get the appropriate text string in the current language
		String value = (String)text.get(key);
		if(value == null)
			return "?" + key + "?";
		return value;
	}
}