// This file is part of Blue UNO. Please see UNOMain.java or http://blueuno.udd.be/ for
// license information. 
// Copyright (C) 2007 Niklas Udd
//
// This class is shown to the user if the selected language could not be loaded (this is
// not supposed to happend!).

package be.udd.blueuno;

import javax.microedition.lcdui.*;

public class LanguageSelectionFailedScreen implements IUNOState, CommandListener {
	private UNOMain controller;
	private Form form;
	private Command exitCommand;

	public LanguageSelectionFailedScreen(UNOMain controller) {
		this.controller = controller;

		exitCommand = new Command("Exit", Command.EXIT, 1);
		form = new Form("Error");
		form.append("An error occured! The selected language could not be loaded. Please consult http://blueuno.udd.be/.");
		form.addCommand(exitCommand);
		form.setCommandListener(this);
	}

	public void commandAction(Command c, Displayable d) {
		if (c == exitCommand) {
			controller.exit();
		}
	}

	public Displayable getDisplayable() {
		return form;
	}
}