// This file is part of Blue UNO. Please see UNOMain.java or http://blueuno.udd.be/ for
// license information. 
// Copyright (C) 2007 Niklas Udd
//
// This class shows a list of languages to the user. After one has been selected a Language
// object is created.

package be.udd.blueuno;

import javax.microedition.lcdui.*;

public class LanguageSelector implements IUNOState, CommandListener {
	private UNOMain controller;
	private List list;
	private Command exitCommand;

	public LanguageSelector(UNOMain controller) {
		this.controller = controller;

		exitCommand = new Command("Exit", Command.EXIT, 2);

		list = new List("Select language", List.IMPLICIT);
		list.append("English", null);
		list.append("Svenska (Swedish)", null);
		list.addCommand(exitCommand);
		list.setCommandListener(this);
	}

	public void commandAction(Command c, Displayable d) {
		if (c == List.SELECT_COMMAND) {
			String languageName = "english";
			if(list.getSelectedIndex() == 1)
				languageName = "swedish";

			Language language = new Language(languageName);
			if(language.load())
				controller.setLanguage(language);
			else
				controller.languageSelectionFailed();
		} else if (c == exitCommand) {
			controller.exit();
		}
	}

	public Displayable getDisplayable() {
		return list;
	}
}