// This file is part of Blue UNO. Please see UNOMain.java or http://blueuno.udd.be/ for
// license information. 
// Copyright (C) 2007 Niklas Udd
//
// This class is shown to the user if s/he loses.

package be.udd.blueuno;

import javax.microedition.lcdui.*;

public class LostScreen implements IUNOState, CommandListener {
	private UNOMain controller;
	private Form form;
	private Command exitCommand;

	public LostScreen(UNOMain controller, Language language, String winner) {
		this.controller = controller;

		exitCommand = new Command(language.get("exit"), Command.EXIT, 1);
		form = new Form(winner + language.get("lost_text"));
		form.append(language.get("lost_more_before") + winner + language.get("lost_more_after"));
		form.addCommand(exitCommand);
		form.setCommandListener(this);
	}

	public void commandAction(Command c, Displayable d) {
		if (c == exitCommand) {
			controller.exit();
		}
	}

	public Displayable getDisplayable() {
		return form;
	}
}