// This file is part of Blue UNO. Please see UNOMain.java or http://blueuno.udd.be/ for
// license information. 
// Copyright (C) 2007 Niklas Udd
//
// This class lets the user enter a name to use during the game.

package be.udd.blueuno;

import javax.microedition.lcdui.*;

public class NameForm implements IUNOState, CommandListener {
	private UNOMain controller;
	private Language language;

	private Form form;
	private TextField tf;
	private Command exitCommand;
	private Command okCommand;

	public NameForm(UNOMain controller, Language language) {
		this.controller = controller;
		this.language = language;

		okCommand = new Command(language.get("ok"), Command.OK, 1);
		exitCommand = new Command(language.get("exit"), Command.EXIT, 2);

		tf = new TextField(language.get("name"), null, 20, TextField.ANY);

		form = new Form(language.get("name_text"));
		form.append(language.get("name_more1") + "\n");
		form.append(tf);
		form.append(language.get("name_more2") + "\n");
		form.addCommand(okCommand);
		form.addCommand(exitCommand);
		form.setCommandListener(this);
	}

	public void commandAction(Command c, Displayable d) {
		if (c == okCommand) {
			if(tf.getString().length() > 0)
				controller.setName(tf.getString());
			else
				form.append(language.get("name_error"));
		} else if (c == exitCommand) {
			controller.exit();
		}
	}

	public Displayable getDisplayable() {
		return form;
	}
}