// This file is part of Blue UNO. Please see UNOMain.java or http://blueuno.udd.be/ for
// license information. 
// Copyright (C) 2007 Niklas Udd
//
// This class lets the user select between acting as a server or as a client.

package be.udd.blueuno;

import javax.microedition.lcdui.*;

public class ServerClientSelector implements IUNOState, CommandListener {
	public static final int SERVER = 0;
	public static final int CLIENT = 1;

	private UNOMain controller;
	private List list;
	private Command exitCommand;

	public ServerClientSelector(UNOMain controller, Language language) {
		this.controller = controller;

		exitCommand = new Command(language.get("exit"), Command.EXIT, 2);		

		list = new List(language.get("sc_text"), List.IMPLICIT);
		list.append(language.get("server"), null);
		list.append(language.get("client"), null);
		list.addCommand(exitCommand);
		list.setCommandListener(this);
	}

	public void commandAction(Command c, Displayable d) {
		if (c == List.SELECT_COMMAND) {
			controller.setServerClient(list.getSelectedIndex());
		} else if (c == exitCommand) {
			controller.exit();
		}
	}

	public Displayable getDisplayable() {
		return list;
	}
}