// This file is part of Blue UNO. Please see UNOMain.java or http://blueuno.udd.be/ for
// license information. 
// Copyright (C) 2007 Niklas Udd
//
// This class lets the user select a server to connect to.

package be.udd.blueuno;

import javax.microedition.lcdui.*;

public class ServerSelector implements IUNOState, CommandListener {
	private UNOMain controller;
	private Language language;
	private ServerFinder serverFinder;
	private List list;
	private Command cancelCommand;

	public ServerSelector(UNOMain controller, Language language, ServerFinder serverFinder) {
		this.controller = controller;
		this.language = language;
		this.serverFinder = serverFinder;

		cancelCommand = new Command(language.get("cancel"), Command.CANCEL, 2);

		list = new List(language.get("client_select"), List.IMPLICIT);
		for(int i = 0; i < serverFinder.numDevicesFound(); i++)
			list.append(serverFinder.getDeviceName(i), null);
	
		list.addCommand(cancelCommand);
		list.setCommandListener(this);
	}

	public void commandAction(Command c, Displayable d) {
		if (c == List.SELECT_COMMAND) {
			controller.showConnecting(serverFinder);
			serverFinder.select(list.getSelectedIndex());
		} else if (c == cancelCommand) {
			controller.cancelServerClient();
		}
	}

	public Displayable getDisplayable() {
		return list;
	}
}