// This file is part of Blue UNO. Please see UNOMain.java or http://blueuno.udd.be/ for
// license information. 
// Copyright (C) 2007 Niklas Udd
//
// This class shows a splash screen to the user.

package be.udd.blueuno;

import javax.microedition.lcdui.*;

public class UNOSplash implements IUNOState, CommandListener {
	private UNOMain controller;
	private Form form;
	private Command exitCommand;
	private Command okCommand;

	public UNOSplash(UNOMain controller, Language language) {
		this.controller = controller;

		okCommand = new Command(language.get("play"), Command.OK, 1);
		exitCommand = new Command(language.get("exit"), Command.EXIT, 2);

		form = new Form("Blue UNO");
		form.append(language.get("welcome_text"));

		try {
			Image image = Image.createImage("/BlueUNO-big.png");
			ImageItem imageItem = new ImageItem(null, image, ImageItem.LAYOUT_CENTER, "Blue UNO"); 
			form.append(imageItem);
		} catch(Exception e) {}

		form.append(language.get("welcome_more"));
		form.addCommand(okCommand);
		form.addCommand(exitCommand);
		form.setCommandListener(this);
	}

	public void commandAction(Command c, Displayable d) {
		if (c == okCommand) {
			controller.splashOk();
		} else if (c == exitCommand) {
			controller.exit();
		}
	}

	public Displayable getDisplayable() {
		return form;
	}
}