// This file is part of Blue UNO. Please see UNOMain.java or http://blueuno.udd.be/ for
// license information. 
// Copyright (C) 2007 Niklas Udd
//
// This class is shown to the user if s/he wins.

package be.udd.blueuno;

import javax.microedition.lcdui.*;

public class WonScreen implements IUNOState, IConnectorNotifier, CommandListener {
	private UNOMain controller;
	private Language language;
	private IConnector connector;

	private Form form;
	private Command exitCommand;
	private Command sendCommand;

	private int points;

	public WonScreen(UNOMain controller, Language language, IConnector connector) {
		this.controller = controller;
		this.language = language;
		this.connector = connector;
		points = 0;

		sendCommand = new Command(language.get("send"), Command.SCREEN, 1);
		exitCommand = new Command(language.get("exit"), Command.EXIT, 2);
		form = new Form(language.get("won_text"));
		form.append(language.get("won_more") + "\n");
		form.append(language.get("won_fetching"));
		form.addCommand(exitCommand);
		form.setCommandListener(this);
	}

	public void commandAction(Command c, Displayable d) {
		if (c == exitCommand) {
			controller.exit();
		} else if(c == sendCommand) {
			controller.sendResult(points);
		}
	}

	public void messageReceived() {
		try {
			if(connector.hasReceived()) {
				String message = connector.receive();
				if(message.startsWith("points")) {
					points = Integer.parseInt(message.substring(7));
					form.delete(form.size()-1);
					form.append(language.get("won_result_before") + points + language.get("won_result_after") + "\n");
					form.append(language.get("won_report1") + "\n");
					form.append(language.get("won_report2"));
					form.addCommand(sendCommand);

					connector.close();
				}
			}
		} catch(Exception e) {}
	}

	public Displayable getDisplayable() {
		return form;
	}
}