# This Python script analyzes a language file to see if all necessary translations are there.
# Please note that this script is rather primitive (it, for example, assumes that the language
# object is names language). However, it actually works pretty good and can be quite useful.
#
# Invoke it like this: python analyze.py [language file] [source files]
# Example: blueuno$ python tools/analyze.py res/english.lang src/be/udd/blueuno/*
#
# No output is good output.

from __future__ import with_statement
import sys
import re

commands = []

with open(sys.argv[1]) as file:
	for line in file:
		matches = re.findall("(.*?)=", line);
		for match in matches:
			for command in commands:
				if(command == match):
					print "*WARNING: Duplicate definition found for " + match
			commands.append(match)

for arg in sys.argv[2:]:
	with open(arg) as file:
		for line in file:
			matches = re.findall("language\.get\(\"(.*?)\"\)", line)
			for match in matches:
				command_found = False
				for command in commands:
					if(command == match):
						command_found=True
				if(not command_found):
					print "-ERROR: Missing definition for " + match + " (used in " + arg + ")"
